%global srcname telethon-session-sqlalchemy
%global altname telethon_session_sqlalchemy
%global pymodulename alchemysession

Name:           python-%{srcname}
Version:        0.2.16
Release:        1%{?dist}
Summary:        A Telethon session storage implementation backed by SQLAlchemy

License:        MIT
URL:            https://github.com/tulir/%{srcname}
Source0:        %pypi_source

BuildArch:      noarch

BuildRequires:  python3dist(setuptools)

%global _description %{expand:
A Telethon session storage implementation backed by SQLAlchemy.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}
%py_provides python3-%{pymodulename}
BuildRequires:  python3-devel

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

#%check

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pymodulename}
%{python3_sitelib}/%{altname}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri May 29 2020 Kai A. Hiller <V02460@gmail.com> - 0.7.13-1
- Initial package.
